Bug 600998 - Webcam does not work
Summary: Webcam does not work
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-06 23:43 UTC by Bastien Nocera
Modified: 2010-08-30 18:23 UTC (History)
9 users (show)

Fixed In Version: kernel-2.6.34.6-47.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 18:23:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2010-06-06 23:43:51 UTC
2.6.33.5-112.fc13.x86_64

Apple MacbookAir 1,1

Bus 002 Device 003: ID 05ac:8505 Apple, Inc. Built-in iSight

When using Empathy or Cheese, I get loads of:
uvcvideo: Failed to resubmit video URB (-27).
uvcvideo: Failed to resubmit video URB (-27).
uvcvideo: Failed to resubmit video URB (-27).

messages in the kernel log.

That webcam used to work great under F12 and earlier F13 kernels.

Comment 1 Adam Williamson 2010-06-07 14:40:50 UTC
hans seems to be The Webcam Guy at present.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Hans de Goede 2010-06-07 15:26:16 UTC
Bastien,

Can you attach the full output of dmesg please ? In the mean time I'll ask the upstream uvcvideo driver author to take a look at this bug.

Regards,

Hans

Comment 3 Bastien Nocera 2010-06-07 15:33:37 UTC
(In reply to comment #2)
> Bastien,
> 
> Can you attach the full output of dmesg please ? In the mean time I'll ask the
> upstream uvcvideo driver author to take a look at this bug.

The dmesg output is really that useless. uvcvideo driver being loaded, errors as above repeated a number of times. Cheese and Empathy manage to get the first frame after reloading the webcam module, and that's it.

Comment 4 Laurent Pinchart 2010-06-10 23:17:17 UTC
Hi Bastien,

Ouch. -27 is -EFBIG, and according to Documentation/usb/error-codes.txt in the Linux kernel source tree it means that the "Host controller driver can't schedule that many ISO frames".

I've had a look at the EHCI driver, and -EFBIG is only returned by the iso_stream_schedule function in drivers/usb/host/ehci-sched.c. That code has been modified between 2.6.32 and 2.6.33-rc1 (commit dccd574cccad950d9ed9bc192eae4089c6044d9d). Would by any chance the early F13 kernels be <= 2.6.32 ?

Comment 5 Dan Williams 2010-06-16 16:49:56 UTC
Very early F13 kernels were 2.6.32:

http://koji.fedoraproject.org/koji/buildinfo?buildID=150428
http://koji.fedoraproject.org/koji/buildinfo?buildID=149757
http://koji.fedoraproject.org/koji/buildinfo?buildID=148518

but switched to 2.6.33 in early January 2010.

Comment 6 Chuck Ebbert 2010-07-19 21:05:01 UTC
Should be fixed in 2.6.34.1-17

Comment 7 Hans de Goede 2010-07-20 07:43:49 UTC
You can download a hopefully fixed kernel for F-13 here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=184570

Please give it a spin and let me know if this fixes this.

Comment 8 Fedora Update System 2010-08-07 05:00:49 UTC
kernel-2.6.34.2-34.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13

Comment 9 Fedora Update System 2010-08-07 23:28:48 UTC
kernel-2.6.34.2-34.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13

Comment 10 Fedora Update System 2010-08-10 23:53:50 UTC
kernel-2.6.34.3-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13

Comment 11 Fedora Update System 2010-08-11 07:26:09 UTC
kernel-2.6.34.3-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13

Comment 12 Chuck Ebbert 2010-08-18 09:45:11 UTC
2.6.34 kernel has been withdrawn.

Comment 13 Fedora Update System 2010-08-27 11:23:29 UTC
kernel-2.6.34.6-47.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kernel-2.6.34.6-47.fc13

Comment 14 Fedora Update System 2010-08-30 18:22:16 UTC
kernel-2.6.34.6-47.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.